package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene38_JFX5 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
}

attribute Scene38_JFX5.opacity0 = 0;
attribute Scene38_JFX5.opacity1 = 0;
attribute Scene38_JFX5.opacity2 = 0;
attribute Scene38_JFX5.opacity3 = 0;
attribute Scene38_JFX5.opacity4 = 0;
attribute Scene38_JFX5.opacity5 = 0;
attribute Scene38_JFX5.opacity6 = 0;

attribute Scene38_JFX5.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "JavaFX Script"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: View {
            filter: [ShadowFilter { x: 10, y: -10}]
            opacity: bind opacity1
            transform: translate(160.0, 180.0)

            content: Label {
                text:
"<html><div style='font-name:\"Monospaced\"; font-size: 24px;'>
<pre style='font-size: 26px;'>class Hello \{
    attribute subject: String;
}
var hello = Hello \{ subject: &quot;Hello, World!&quot; };
Frame \{
    title: 'JavaFX Sample'
    width: 200, height: 100
    content: Button \{
        <span style='font-color:red;'>text: bind hello.subject</span>
    }
    visible: true
}</pre>
</blockquote>
</div></html>"
            }
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                ImageView {
                    transform: translate(800.0, 150.0)
	             opacity: bind opacity2
                    image: {url: "{__DIR__}/resources/images/jfxsample1.jpg"}
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity2 = unit;
            }
        }
    },
];