package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene39_Conclusion extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;

    attribute opacity3: Number;
    attribute opacity4: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene39_Conclusion.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene39_Conclusion.opacity0 = 0;
attribute Scene39_Conclusion.opacity1 = 0;
attribute Scene39_Conclusion.opacity2 = 0;
attribute Scene39_Conclusion.opacity3 = 0;
attribute Scene39_Conclusion.opacity4 = 0;

attribute Scene39_Conclusion.leafs =  [
    Leaf {
        node: Group {
            opacity: bind opacity0
            content: [
                Circle {
                    cx: 265
                    cy: 124
                    radius: 180
                    fill: Color {red: 0xCC, green: 0xFF, blue: 0xFF }
                },
                Circle {
                    cx: 660
                    cy: 361
                    radius: 180
                    fill: Color {red: 0xFF, green: 0xCC, blue: 0xFF }
                },
                Circle {
                    cx: 423
                    cy: 656
                    radius: 180
                    fill: Color {red: 0xFF, green: 0xDD, blue: 0xDD }
                },
                Text {
                    x: 211
                    y: 110
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Open"
                },
                Text {
                    x: 460
                    y: 110
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Community"
                },
                Text {
                    x: 310
                    y: 315
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Future"
                },
                Text {
                    x: 400
                    y: 385
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Experience"
                },
                Text {
                    x: 380
                    y: 630
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Rich"
                },
                Text {
                    x: 620
                    y: 630
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "UI"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 5000) {
                opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            opacity: bind opacity1
            content: [
                Text {
                    x: 211
                    y: 180
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 48}
                    content: "OpenJDK"
                },
                Text {
                    x: 310
                    y: 465
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 48}
                    content: "Java SE 7"
                },
                Text {
                    x: 380
                    y: 700
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 48}
                    content: "JavaFX"
                },
            ]
        }

        action: operation() {

	     for (unitinterval unit in dur 2000) {
                opacity1 = unit;
            }
        }
    }
];