package net.javainthebox.javafx.presentator;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import net.javainthebox.javafx.presentator.contents.*;

public class ContentPane extends Action {
    attribute selection: Integer;
    attribute scenes: Scene*;
    attribute selectedScene: Scene;
}

attribute ContentPane.scenes = [
    Scene0_Title {},
    Scene1_Agenda {},
    Scene2_OpenJDK {},
    Scene3_OpenJDK2 {},
    Scene4_JDKdevelop {},
    Scene5_Agenda2 {},
    Scene6_FourM {},
    Scene7_Multi {},
    Scene8_Multi2 {},
    Scene9_Multi3 {},
    Scene10_FourM2 {},
    Scene11_TwoMod {},
    Scene12_SuperPack {},
    Scene13_SuperPack2 {},
    Scene14_SuperPack3 {},
    Scene15_SuperPack4 {},
    Scene16_SuperJARs {},
    Scene17_SuperJARs2 {},
    Scene18_SuperJARs3 {},
    Scene19_SuperJARs4 {},
    Scene20_SuperJARs5 {},
    Scene21_FourM3 {},
    Scene22_Manage {},
    Scene23_JMX {},
    Scene24_JMX2 {},
    Scene25_JMX3 {},
    Scene26_WSConnector {},
    Scene27_FourM4 {},
    Scene28_NIO {},
    Scene29_NIO2 {},
    Scene30_Add {},
    Scene31_Add2 {},
    Scene32_Add3 {},
    Scene33_Agenda3 {},
    Scene34_JFX {},
    Scene35_JFX2 {},
    Scene36_JFX3 {},
    Scene37_JFX4 {},
    Scene38_JFX5 {},
    Scene39_Conclusion {},
    Scene{
        leafs: [
            Leaf {
                node: Text { content: "Scene2-1" }
                action: operation() {
                    System.out.println("Scene2-1");
                }
            },
            Leaf {
                node: Text { content: "Scene2-2" }
                action: operation() {
                    System.out.println("Scene2-2");
                }
            }
        ]
    }
];

attribute ContentPane.selectedScene = scenes[0];

attribute ContentPane.action = operation() {
    System.out.print("ContentPane.action selection: ");
    System.out.println(selection);

    if((selectedScene.action)() <> true) {
        System.out.println("Scene acton returns false.");
        selection++;
        if (selection >= sizeof scenes) {
            selection = 0;
        }

        selectedScene.opacity = 0;
        selectedScene = scenes[selection];
        selectedScene.opacity = 0;

        for (i in [false, true]) (dur 500 linear) {
	     if (i) {
                (selectedScene.action)();
                selectedScene.opacity = 1;
	     }
        }
    }

    return true;
};


function ContentPane.composeNode() =
Group {
    content: bind selectedScene
};
