package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;

import java.lang.System;

import net.javainthebox.javafx.presentator.*;

public class Background extends CompositeNode {}

function Background.composeNode() =
Rect {
    x: 0
    y: 0
    width: 1024
    height: 768

    fill: LinearGradient {
        x1: 0, y1: 0, x2: 0, y2: 1
        stops: [
            Stop {
                offset: 0
                color: Color {
                    red: 0xff
                    green: 0xDD
                    blue: 0x99
                }
            },
            Stop {
                offset: 0.75
                color: white
            },
            Stop {
                offset: 1
                color: Color {
                    red: 0xff
                    green: 0xDD
                    blue: 0x99
                }
            }
        ]
    }
};