package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene12_SuperPack extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene12_SuperPack.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene12_SuperPack.opacity0 = 0;
attribute Scene12_SuperPack.opacity1 = 0;
attribute Scene12_SuperPack.opacity2 = 0;
attribute Scene12_SuperPack.opacity3 = 0;
attribute Scene12_SuperPack.opacity4 = 0;
attribute Scene12_SuperPack.opacity5 = 0;
attribute Scene12_SuperPack.opacity6 = 0;

attribute Scene12_SuperPack.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "Development Time"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                View {
	             transform: translate(50.0, 300.0)
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]

                    content: Label {
	                 text: 
"<html><div style='font-name: \"MS PSVbN\"; font-weight: bold; font-size: 72px;'><i>public</i> is <span style='color: red'>TOO</span> public!</div></html>"
                    }
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
];