package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene24_JMX2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
}


attribute Scene24_JMX2.opacity0 = 0;
attribute Scene24_JMX2.opacity1 = 0;
attribute Scene24_JMX2.opacity2 = 0;
attribute Scene24_JMX2.opacity3 = 0;
attribute Scene24_JMX2.opacity4 = 0;
attribute Scene24_JMX2.opacity5 = 0;
attribute Scene24_JMX2.opacity6 = 0;

attribute Scene24_JMX2.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "JXP[h"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: ImageView {
	     opacity: bind opacity1
            image: {url: "{__DIR__}/resources/images/jmx1.png"}
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: ImageView {
	     opacity: bind opacity2
            image: {url: "{__DIR__}/resources/images/jmx2.png"}
        }

        action: operation() {
	     for (unitinterval unit in dur 2000) {
                opacity1 = if unit < 0.6 then 1.0 - unit / 0.6 else 0;
                opacity2 = if unit > 0.4 then (unit - 0.4) / 0.6 else 0;
            }
        }
    },
];