package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene28_NIO extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;
}


attribute Scene28_NIO.opacity0 = 0;
attribute Scene28_NIO.opacity1 = 0;
attribute Scene28_NIO.opacity2 = 0;
attribute Scene28_NIO.opacity3 = 0;
attribute Scene28_NIO.opacity4 = 0;
attribute Scene28_NIO.opacity5 = 0;
attribute Scene28_NIO.opacity6 = 0;

attribute Scene28_NIO.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "More New I/O"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 180
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "JSR 203 More New I/O API"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 250
	             opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "J2SE 1.4: JSR 51 New I/O API"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 310
	             opacity: bind opacity3
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "J2SE 5.0..."
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity3 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 200
                    y: 370
	             opacity: bind opacity4
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "Java SE 6..."
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity4 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 450
	             opacity: bind opacity5
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Java SE 7œ"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity5 = unit;
            }
        }
    },
];