package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene34_JFX extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene34_JFX.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene34_JFX.opacity0 = 0;
attribute Scene34_JFX.opacity1 = 0;
attribute Scene34_JFX.opacity2 = 0;
attribute Scene34_JFX.opacity3 = 0;
attribute Scene34_JFX.opacity4 = 0;
attribute Scene34_JFX.opacity5 = 0;
attribute Scene34_JFX.opacity6 = 0;

attribute Scene34_JFX.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    filter: [ShadowFilter { x: 10, y: -10, opacity: 0.8}]
                    x: 60
                    y: 260
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 120}
                    fill: Color { red: 231, green: 111, blue: 0 } 
                    content: "NJavaOne
őSuprise"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    filter: [ShadowFilter { x: 10, y: -10, opacity: 0.8}]
                    x: 80
                    y: 270
	             opacity: bind opacity1
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 200}
                    fill: Color { red: 63, green: 110, blue: 120 } 
                    content: "JavaFX"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 2000) {
                opacity0 = 1 - unit;
                opacity1 = unit;
            }
        }
    },
];